---
title: Get BPAY biller code details
slug: api/get-bpay-biller-code-details
docTags: 
createdAt: 2026-08-20T02:02:37.496Z
---

{
  "id": "I66kVMtSukpu0QT69Odhb",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.mpay.com.au/bpay/v1/biller/{billerCode}",
    "servers": [
      {
        "url": "https://api.mpay.com.au/bpay/v1/biller/{billerCode}",
        "description": "Production URL"
      },
      {
        "url": "https://api.m-pay.com.au/bpay/v1/biller/{billerCode}",
        "description": "Sandbox URL"
      }
    ],
    "name": "Get BPAY biller code details",
    "description": "This API returns extended information for the BPAY biller. Status will be 'UnknownBillerCode' if the Biller Code is invalid.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "billerCode",
          "type": "string",
          "example": "123456",
          "description": "The BPAY biller code to look up. billerCode must be numeric.",
          "default": "123456",
          "pattern": "^[0-9]+$"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "basicAuth",
          "name": "basicAuth",
          "kind": "optional",
          "type": "http",
          "description": "<p>To authenticate using basic authentication, generate an API key and pass it as the username. No password is required.</p>",
          "scheme": "basic"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Successful response. The extended BPAY biller details were returned.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "bPayBillerResponse_V1",
            "schema": [
              {
                "name": "biller",
                "kind": "optional",
                "type": "object",
                "description": "The extended BPAY biller details.",
                "modelRef": "#/components/schemas/bPayBiller",
                "customType": "bPayBiller",
                "schema": [
                  {
                    "name": "billerCode",
                    "kind": "optional",
                    "type": "string",
                    "description": "The BPAY biller code.",
                    "example": "123456",
                    "default": "123456",
                    "pattern": "^[0-9]+$"
                  },
                  {
                    "name": "billerLongName",
                    "kind": "optional",
                    "type": "string",
                    "description": "The full registered name of the biller.",
                    "example": "Example Biller Proprietary Limited",
                    "default": "Example Biller Proprietary Limited",
                    "pattern": "^.+$"
                  },
                  {
                    "name": "billerShortName",
                    "kind": "optional",
                    "type": "string",
                    "description": "The abbreviated name of the biller.",
                    "example": "Example Biller",
                    "default": "Example Biller",
                    "pattern": "^.+$"
                  },
                  {
                    "name": "acceptedPaymentMethods",
                    "kind": "optional",
                    "type": "string",
                    "description": "The BPAY payment method codes accepted by the biller.",
                    "example": "101,201",
                    "default": "101,201",
                    "pattern": "^[A-Za-z0-9,]+$"
                  },
                  {
                    "name": "activationDate",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "description": "<p>The date the biller was activated, in ISO 8601 format.</p>",
                    "example": "2020-01-01T00:00:00+10:00",
                    "default": "2020-01-01T00:00:00+10:00",
                    "format": "date-time",
                    "pattern": "^[0-9]{4}-[0-9]{2}-[0-9]{2}T[0-9]{2}:[0-9]{2}:[0-9]{2}([+-][0-9]{2}:[0-9]{2}|Z)?$"
                  },
                  {
                    "name": "deactivationDate",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "description": "<p><strong>Optional</strong>. The date the biller was deactivated, in ISO 8601 format. Present only if the biller has been deactivated.</p>",
                    "example": "2030-12-31T00:00:00+10:00",
                    "default": "2030-12-31T00:00:00+10:00",
                    "format": "date-time",
                    "pattern": "^[0-9]{4}-[0-9]{2}-[0-9]{2}T[0-9]{2}:[0-9]{2}:[0-9]{2}([+-][0-9]{2}:[0-9]{2}|Z)?$"
                  },
                  {
                    "name": "minPaymentAmount",
                    "kind": "optional",
                    "type": "number",
                    "description": "The minimum payment amount accepted by the biller.",
                    "example": 1,
                    "default": 1,
                    "pattern": "^[0-9]+(\\.[0-9]{1,2})?$"
                  },
                  {
                    "name": "maxPaymentAmount",
                    "kind": "optional",
                    "type": "number",
                    "description": "The maximum payment amount accepted by the biller.",
                    "example": 9999999999.99,
                    "default": 9999999999.99,
                    "pattern": "^[0-9]+(\\.[0-9]{1,2})?$"
                  },
                  {
                    "name": "crnValidationRuleName",
                    "kind": "optional",
                    "type": "string",
                    "description": "The name of the CRN validation rule applied by the biller.",
                    "example": "MOD10V05",
                    "default": "MOD10V05",
                    "pattern": "^[A-Za-z0-9]+$"
                  },
                  {
                    "name": "checkDigitRuleName",
                    "kind": "optional",
                    "type": "string",
                    "description": "The name of the check digit rule applied to the CRN.",
                    "example": "MOD10V05",
                    "default": "MOD10V05",
                    "pattern": "^[A-Za-z0-9]+$"
                  },
                  {
                    "name": "lengthMask",
                    "kind": "optional",
                    "type": "string",
                    "description": "The permitted length range of the CRN.",
                    "example": "4-20",
                    "default": "4-20",
                    "pattern": "^[0-9\\-]+$"
                  },
                  {
                    "name": "fixedDigits",
                    "kind": "optional",
                    "type": "string",
                    "description": "<p><strong>Optional</strong>. Fixed digits that must appear within the CRN, if the biller requires them.</p>",
                    "example": "12",
                    "default": "12",
                    "pattern": "^[0-9]*$"
                  },
                  {
                    "name": "isVariableCrn",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "<p>Indicates whether the biller uses a variable CRN (a new CRN for each bill).</p>",
                    "example": true,
                    "default": true,
                    "pattern": "^(true|false)$"
                  }
                ]
              },
              {
                "name": "durationMs",
                "kind": "optional",
                "type": "integer",
                "description": "This value represents the total time in milliseconds that the Platform took to process the request.",
                "example": 42,
                "default": 42,
                "pattern": "^[0-9]+$"
              },
              {
                "name": "status",
                "kind": "optional",
                "type": "string",
                "description": "This is the status of the request. A code of 'Ok' indicates no errors.",
                "example": "Ok",
                "default": "Ok",
                "pattern": "^[A-Za-z]+$"
              },
              {
                "name": "statusDescription",
                "kind": "optional",
                "type": "string",
                "description": "<p>This is a description of the status. If an 'Ok' status is returned, then this will be 'Operation completed successfully'.</p>",
                "example": "Operation completed successfully",
                "default": "Operation completed successfully",
                "pattern": "^.+$"
              }
            ],
            "modelRef": "#/components/schemas/bPayBillerResponse_V1",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Bad Request. The request was malformed or contained invalid parameters.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "The standard error envelope returned when a request cannot be completed.",
            "customType": "errorResponse_V1",
            "schema": [
              {
                "name": "status",
                "kind": "optional",
                "type": "string",
                "description": "The status code indicating the type of error that occurred.",
                "example": "Error",
                "default": "Error",
                "pattern": "^[A-Za-z]+$"
              },
              {
                "name": "statusDescription",
                "kind": "optional",
                "type": "string",
                "description": "<p>A human-readable description of the error that occurred.</p>",
                "example": "The request could not be processed.",
                "default": "The request could not be processed.",
                "pattern": "^.+$"
              },
              {
                "name": "durationMs",
                "kind": "optional",
                "type": "integer",
                "description": "This value represents the total time in milliseconds that the Platform took to process the request.",
                "example": 42,
                "default": 42,
                "pattern": "^[0-9]+$"
              }
            ],
            "modelRef": "#/components/schemas/errorResponse_V1",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Unauthorized. Authentication failed because the API key was missing or invalid.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "The standard error envelope returned when a request cannot be completed.",
            "customType": "errorResponse_V1",
            "schema": [
              {
                "name": "status",
                "kind": "optional",
                "type": "string",
                "description": "The status code indicating the type of error that occurred.",
                "example": "Error",
                "default": "Error",
                "pattern": "^[A-Za-z]+$"
              },
              {
                "name": "statusDescription",
                "kind": "optional",
                "type": "string",
                "description": "<p>A human-readable description of the error that occurred.</p>",
                "example": "The request could not be processed.",
                "default": "The request could not be processed.",
                "pattern": "^.+$"
              },
              {
                "name": "durationMs",
                "kind": "optional",
                "type": "integer",
                "description": "This value represents the total time in milliseconds that the Platform took to process the request.",
                "example": 42,
                "default": 42,
                "pattern": "^[0-9]+$"
              }
            ],
            "modelRef": "#/components/schemas/errorResponse_V1",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "500",
        "description": "Internal Server Error. An unexpected error occurred while processing the request.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "The standard error envelope returned when a request cannot be completed.",
            "customType": "errorResponse_V1",
            "schema": [
              {
                "name": "status",
                "kind": "optional",
                "type": "string",
                "description": "The status code indicating the type of error that occurred.",
                "example": "Error",
                "default": "Error",
                "pattern": "^[A-Za-z]+$"
              },
              {
                "name": "statusDescription",
                "kind": "optional",
                "type": "string",
                "description": "<p>A human-readable description of the error that occurred.</p>",
                "example": "The request could not be processed.",
                "default": "The request could not be processed.",
                "pattern": "^.+$"
              },
              {
                "name": "durationMs",
                "kind": "optional",
                "type": "integer",
                "description": "This value represents the total time in milliseconds that the Platform took to process the request.",
                "example": 42,
                "default": 42,
                "pattern": "^[0-9]+$"
              }
            ],
            "modelRef": "#/components/schemas/errorResponse_V1",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "nadcgTCQE5S0wC4z2lJz0",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.mpay.com.au/bpay/v1/biller/{billerCode} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "kGGIK10FPAL0lYf7cw85Q",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.mpay.com.au/bpay/v1/biller/{billerCode}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "9lCg-XwJzmpPKumeKeNPW",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.mpay.com.au/bpay/v1/biller/{billerCode}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "W5DxC138c2Ypkqia5HRni",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.mpay.com.au/bpay/v1/biller/{billerCode}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "nadcgTCQE5S0wC4z2lJz0"
    },
    "results": {
      "languages": [
        {
          "id": "p61rkb_8I96kpADGDmFEg",
          "language": "200",
          "code": "// Successful response. The extended BPAY biller details were returned.\n{\n  \"biller\": {\n    \"billerCode\": \"123456\",\n    \"billerLongName\": \"Example Biller Proprietary Limited\",\n    \"billerShortName\": \"Example Biller\",\n    \"acceptedPaymentMethods\": \"101,201\",\n    \"activationDate\": \"2020-01-01T00:00:00+10:00\",\n    \"deactivationDate\": \"2030-12-31T00:00:00+10:00\",\n    \"minPaymentAmount\": 1,\n    \"maxPaymentAmount\": 9999999999.99,\n    \"crnValidationRuleName\": \"MOD10V05\",\n    \"checkDigitRuleName\": \"MOD10V05\",\n    \"lengthMask\": \"4-20\",\n    \"fixedDigits\": \"12\",\n    \"isVariableCrn\": true\n  },\n  \"durationMs\": 42,\n  \"status\": \"Ok\",\n  \"statusDescription\": \"Operation completed successfully\"\n}"
        },
        {
          "id": "9i_gZGpbMG26dZBUi9nIE",
          "language": "400",
          "code": "// Bad Request. The request was malformed or contained invalid parameters.\n{\n  \"status\": \"Error\",\n  \"statusDescription\": \"The request could not be processed.\",\n  \"durationMs\": 42\n}"
        },
        {
          "id": "pDPnpFCNNb1mzw8luv8PL",
          "language": "401",
          "code": "// Unauthorized. Authentication failed because the API key was missing or invalid.\n{\n  \"status\": \"Error\",\n  \"statusDescription\": \"The request could not be processed.\",\n  \"durationMs\": 42\n}"
        },
        {
          "id": "Xg-QsmWdp88C5hQ-z2iLo",
          "language": "500",
          "code": "// Internal Server Error. An unexpected error occurred while processing the request.\n{\n  \"status\": \"Error\",\n  \"statusDescription\": \"The request could not be processed.\",\n  \"durationMs\": 42\n}"
        }
      ],
      "selectedLanguageId": "p61rkb_8I96kpADGDmFEg"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}